Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.beanutils
Class ConversionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.apache.commons.beanutils.ConversionException

All Implemented Interfaces:
  java.io.Serializable

public class ConversionException
extends java.lang.RuntimeException

A ConversionException indicates that a call to `Converter.convert()` has failed to complete successfully.

Since:
  1.3
Author:
  Craig McClanahan, Paulo Gaspar
See Also:
  Serialized Form

Field Summary
`protected java.lang.Throwable` | `cause` The root cause of this `ConversionException`, compatible with JDK 1.4's extensions to `java.lang.Throwable`.

Constructor Summary
`ConversionException(java.lang.String message)` Construct a new exception with the specified message.
`ConversionException(java.lang.String message, java.lang.Throwable cause)` Construct a new exception with the specified message and root cause.
`ConversionException(java.lang.Throwable cause)` Construct a new exception with the specified root cause.

Method Summary
`java.lang.Throwable` | `getCause()` Return the root cause of this conversion exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cause

    protected java.lang.Throwable cause

  The root cause of this `ConversionException`, compatible with JDK 1.4's extensions to `java.lang.Throwable`.

Constructor Detail

### ConversionException

    public ConversionException(java.lang.String message)

  Construct a new exception with the specified message.
  Parameters:
    `message` - The message describing this exception

### ConversionException

    public ConversionException(java.lang.String message,
                               java.lang.Throwable cause)

  Construct a new exception with the specified message and root cause.
  Parameters:
    `message` - The message describing this exception
    `cause` - The root cause of this exception

### ConversionException

    public ConversionException(java.lang.Throwable cause)

  Construct a new exception with the specified root cause.
  Parameters:
    `cause` - The root cause of this exception

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Return the root cause of this conversion exception.
  Returns:
    the root cause of this conversion exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 The Apache Software Foundation. All Rights Reserved.